Bug 459382

Summary: storage pool settings of LVM volume lost physical volume info.
Product: [Fedora] Fedora Reporter: Kazuo Moriwaka <kmoriwak>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: berrange, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 10:55:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kazuo Moriwaka 2008-08-18 04:39:51 EDT
Description of problem:

building LVM pool failed with lack of pv info. 

# virsh pool-define pool-logical.xml
# virsh pool-build TestVG -> fails.
 
at this time, libvirtd logs:

  Please enter physical volume name(s)
  Run `vgcreate --help' for more information.


Version-Release number of selected component (if applicable):

libvirt-0.4.4-2.fc9.i386

How reproducible:

always

Steps to Reproduce:
0. create /dev/sdc3 with fsync. Check VG named TestVG is not exist.
1. prepare following xml file.

<pool type="logical">
  <name>TestVG</name>
  <source>
    <device path="/dev/sdc3"/>
  </source>
  <target>
    <path>/dev/TestVG</path>
  </target>
</pool>



2. virsh pool-define, and virsh pool-build 

[root@dragon ~]# virsh pool-define pool-logical.xml 
Pool TestVG defined from pool-logical.xml

[root@dragon ~]# virsh pool-dumpxml TestVG
<pool type='logical'>
  <name>TestVG</name>
  <uuid>c39035ba-1424-e6f4-3ece-6a98441b1c55</uuid>
  <capacity>0</capacity>
  <allocation>0</allocation>
  <available>0</available>
  <source>
    <format type='lvm2'/>
  </source>
  <target>
    <path>/dev/TestVG</path>
    <permissions>
      <mode>0700</mode>
      <owner>0</owner>
      <group>0</group>
    </permissions>
  </target>
</pool>

[root@dragon ~]# virsh pool-build TestVG
error: Failed to build pool TestVG


Expected results:

pool-dumpxml should contains PV info.
and pool-build should be succeed.

Additional info:
Comment 1 Bug Zapper 2009-06-09 22:29:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:55:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.